This project shows how to allow a user to select which target device they wish to use from a list of devices, and how to program the selected device.

The Auto-load program checkbox controls whether the target is automatically programmed when you click the Connect button or not.  If unchecked, the Program Device button will be enabled.  Wait until the target has been connected (i.e. you see either _Waiting for Data..._ or _Hardware Connected_ in the status bar) and then click the Program Device button to program the device.  The event listener for this button executes the same code as selecting File / Program Device from the menu bar, so you will see a dialog providing status of the device programming).

To add more devices to the list or to change the programs associated with each device:
* select the ti-widget-filtered-droplist widget
* set the _labels_ property to a pipe-separated list of device names (e.g. MSP430G2553|TMS320F23877S )
* set the _values_ property to a pipe-separated list of target executable file names

To upload more target executables, open the Project / Properties dialog and select the XDS target communication item and upload a new file using the Upload button.

To see the javascript file associated with this project, import it into the Designer and click on the File Folder icon to see the files associated with the project.  Then double-click on newfile_0.js to open the  javascript file.

The javascript code shows how to stop autoconnecting to the target and how to listen for events from the ti_widget_filtered_droplist widget.  When the user selects a device from this droplist, the program model is updated with the new device name and the associated target executable file.
